Ajoute des enregistrements au catalogue indiqué
curl --request POST \
--url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/*+json' \
--data '
[
{
"fields": {},
"id": "<string>"
}
]
'import requests
url = "https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/records"
payload = [
{
"fields": {},
"id": "<string>"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/*+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/*+json'},
body: JSON.stringify([{fields: {}, id: '<string>'}])
};
fetch('https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorRows": {},
"insertedRowCount": 123
}{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}CatalogRecords
Ajoute des enregistrements au catalogue indiqué
Le nombre maximal d’enregistrements pouvant être ajoutés à la fois est de 5 000
POST
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
/
records
Ajoute des enregistrements au catalogue indiqué
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
Identifiant de catalogue. Vous pouvez le trouver dans la liste de tous les catalogues.
Corps
application/*+jsonapplication/jsonapplication/json-patch+jsontext/json
Enregistrements à ajouter
Cette page vous a-t-elle été utile ?
Répertorie un sous-ensemble des enregistrements du catalogue spécifié
Précédent
Supprime les enregistrements spécifiés du catalogue
Suivant
⌘I
